Subject: bug#54074: 29.0.50; Feature request emacs keymap-set and minor-modes

From: Stefan Monnier <[email-masked]>
Date: Tue, 22 Feb 2022 10:39:32 -0500

Lars Ingebrigtsen [2022-02-22 15:31:45] wrote:
> Stefan Monnier <[email-masked]> writes:
>> [ I assume you meant "using a minor mode MAP".  ]
> Yes.
>> E.g. because they don't want the priority that comes with minor mode maps?
> In what way?

E.g. some (typically global) modes want to have lower keymap-priority
than the bindings from major and/or minor modes, so they basically
want to have a priority between the global map and the local map.
The easiest way to do that is to add their bindings to the global map.

>> BTW, we currently have related functions to add/remove a keymap from
>> another: `internal-push/pop-keymap` used by `set-transient-map`.
> Hm...  right.

Are you suggesting that I could occasionally be wrong?
What is this?  A mutiny?

        Stefan